Subject: [PATCH v2 0/8] omap*: Fixes/Cleanups for MMC devicetree node

From: [email-masked] (Tony Lindgren)
Date: Sun, 6 Aug 2017 23:48:14 -0700

* Kishon Vijay Abraham I <[email-masked]> [170803 04:20]:
> Hi Tony.
> 
> On Thursday 08 June 2017 12:50 PM, Ulf Hansson wrote:
> > On 7 June 2017 at 11:37, Kishon Vijay Abraham I <[email-masked]> wrote:
> >> There are the set of fixes that were sent initially as part
> >> of [1].
> >>
> >> These are mostly fixes w.r.t populating regulators in
> >> mmc dt node. It was working before because the regulators
> >> connecting to the IO lines are always on regulators. This will
> >> break once we add UHS support where voltage has to be changed
> >> dynamically.
> >>
> >> It also includes a patch to replace all vmmc_aux-supply
> >> with vqmmc-supply (In omap3-overo-base.dtsi remove the existing
> >> vqmmc-supply and then replace vmmc_aux-supply with vqmmc-supply).
> >> This will break old dt compatibility but not sure how better
> >> to handle this.
> >>
> >> Performed enumeration testing on dra72-evm-revc, dra72-evm,
> >> dra7-evm, am572x-evm, am571x-idk, am572x-idk, omap5-evm,
> >> pandaboard-es, am43xx-evm, am335x-evm, beagleboard etc.,
> >>
> >> This is a preparation series for adding UHS mode support in
> >> the above mentioned platforms.
> >>
> >> Changes from v1:
> >> *) Included a patch to replace deprecated "vmmc_aux" with
> >>    "vqmmc"
> 
> Have you already merged this series in your for-next? I could see all the
> patches except "ARM: dts: omap*: Replace deprecated "vmmc_aux" with "vqmmc" in
> your for-next.

Sorry it got delayed, I was planning to send it at -rc1 time but
had a pending pull request for fixes that got delayed, and it's
too late now until next merge window.

> Do you want me to resend the entire series or only "ARM: dts: omap*: Replace
> deprecated "vmmc_aux" with "vqmmc"?

Seems that the missing one is safe to apply now? If so, let me just
take a look at that since I do have a branch already set up that
I can use.

Also, I was offline last week so I'll first have to check for any
pending fixes that might need attention.

> Please note having vqmmc property is required when we move to sdhci driver.

OK

Regards,

Tony